[TopGit PATCH] Print help message when command is not proper

Subsystems: the rest

DORMANTno replies

2 messages, 2 authors, 2016-06-15 · open the first message on its own page

[TopGit PATCH] Print help message when command is not proper

From: martin f. krafft <hidden>
Date: 2016-06-15 22:45:40

When invoked with an unknown subcommand, or when --help is sought for
a command that does not exist, TopGit prints the help message.

Signed-off-by: martin f. krafft <redacted>

---
 tg.sh |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)
diff --git a/tg.sh b/tg.sh
index 4dcc15e..2464612 100644
--- a/tg.sh
+++ b/tg.sh
@@ -232,6 +232,8 @@ do_help()
 		fi
 	else
 		echo "`basename $0`: no help for $1" 1>&2
+		do_help
+		exit 1
 	fi
 }
 
@@ -279,6 +281,7 @@ help|--help|-h)
 *)
 	[ -r "@cmddir@"/tg-$cmd ] || {
 		echo "Unknown subcommand: $cmd" >&2
+		do_help
 		exit 1
 	}
 	. "@cmddir@"/tg-$cmd;;
-- 
tg: (f17218e..) fixes/more-help (depends on: upstream)

Re: [TopGit PATCH] Print help message when command is not proper

From: Petr Baudis <hidden>
Date: 2016-06-15 22:45:40

On Thu, Nov 20, 2008 at 01:08:48PM +0100, martin f. krafft wrote:
When invoked with an unknown subcommand, or when --help is sought for
a command that does not exist, TopGit prints the help message.

Signed-off-by: martin f. krafft <redacted>
Acked-by: Petr Baudis <redacted>

Note that I think these changes are reasonable only as long as do_help
is just a short two-line usage help; in the event we also implement a
longer help, it certainly shouldn't be printed in these cases.
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help